# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate regex

Name:           rust-%{crate}
Version:        1.0.6
Release:        1%{?dist}
Summary:        Implementation of regular expressions for Rust

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/regex
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(aho-corasick/default) >= 0.6.7 with crate(aho-corasick/default) < 0.7.0)
BuildRequires:  (crate(memchr/default) >= 2.0.2 with crate(memchr/default) < 3.0.0)
BuildRequires:  (crate(regex-syntax/default) >= 0.6.2 with crate(regex-syntax/default) < 0.7.0)
BuildRequires:  (crate(thread_local/default) >= 0.3.6 with crate(thread_local/default) < 0.4.0)
BuildRequires:  (crate(utf8-ranges/default) >= 1.0.1 with crate(utf8-ranges/default) < 2.0.0)
%if %{with check}
BuildRequires:  (crate(lazy_static/default) >= 1.0.0 with crate(lazy_static/default) < 2.0.0)
BuildRequires:  (crate(quickcheck) >= 0.7.0 with crate(quickcheck) < 0.8.0)
BuildRequires:  (crate(rand/default) >= 0.5.0 with crate(rand/default) < 0.6.0)
%endif

%global _description \
An implementation of regular expressions for Rust. This implementation uses\
finite automata and guarantees linear time matching on all inputs.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md CHANGELOG.md HACKING.md PERFORMANCE.md UNICODE.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+pattern-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pattern-devel %{_description}

This package contains library source intended for building other packages
which use "pattern" feature of "%{crate}" crate.

%files       -n %{name}+pattern-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages
which use "unstable" feature of "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+use_std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use_std-devel %{_description}

This package contains library source intended for building other packages
which use "use_std" feature of "%{crate}" crate.

%files       -n %{name}+use_std-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Nov 10 2018 Josh Stone <jistone@redhat.com> - 1.0.6-1
- Update to 1.0.6

* Sat Oct 27 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.5-3
- Adapt to new packaging

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.5-2
- Exclude more unneeded files

* Fri Sep 07 2018 Josh Stone <jistone@redhat.com> - 1.0.5-1
- Update to 1.0.5

* Thu Aug 30 2018 Josh Stone <jistone@redhat.com> - 1.0.4-1
- Update to 1.0.4

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.2-5
- Rebuild to run tests

* Mon Jul 23 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.2-4
- Rebuild to trigger tests

* Fri Jul 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.2-3
- Rebuild to trigger tests

* Fri Jul 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.2-2
- Rebuild

* Thu Jul 19 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 20 2018 Josh Stone <jistone@redhat.com> - 1.0.1-1
- Update to 1.0.1

* Tue Jun 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Tue May 01 2018 Josh Stone <jistone@redhat.com> - 0.2.11-1
- Update to 0.2.11

* Fri Mar 16 2018 Josh Stone <jistone@redhat.com> - 0.2.10-1
- Update to 0.2.10

* Wed Mar 14 2018 Josh Stone <jistone@redhat.com> - 0.2.9-1
- Update to 0.2.9

* Fri Feb 09 2018 Josh Stone <jistone@redhat.com> - 0.2.6-1
- Update to 0.2.6

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.5-2
- Rebuild for rust-packaging v5

* Sun Dec 31 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.5-1
- Update to 0.2.5

* Sat Dec 02 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.3-3
- Bump quickcheck to 0.5

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.3-2
- Bump lazy_static to 1

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.3-1
- Update to 0.2.3

* Wed Nov 08 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-2
- Bump memchr to 2

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-1
- Update to 0.2.2

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.1-2
- Port to use rust-packaging

* Sat Feb 25 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.1-1
- Initial package
